=== testsuite/interactive/lib-graph-3/Makefile ===
#MODULES=
MAIN_MODULE=sorts
ADD_COMPFLAGS=-thread
LIBRARIES=unix threads graphics

include ../../makefiles/Makefile.one
include ../../makefiles/Makefile.common
