=== testsuite/tests/basic-io-2/Makefile ===
#MODULES=
MAIN_MODULE=io
EXEC_ARGS=io.ml

include ../../makefiles/Makefile.one
include ../../makefiles/Makefile.common
