=== testsuite/tests/lib-bigarray-2/Makefile ===
LIBRARIES=unix bigarray
C_FILES=bigarrfstub
F_FILES=bigarrf

include ../../makefiles/Makefile.several
include ../../makefiles/Makefile.common
