=== testsuite/tests/lib-num/Makefile ===
MODULES=test test_nats test_big_ints test_ratios test_nums test_io
MAIN_MODULE=end_test
ADD_COMPFLAGS=-w a
LIBRARIES=nums

include ../../makefiles/Makefile.one
include ../../makefiles/Makefile.common
