=== testsuite/tests/typing-fstclassmod/Makefile ===
#MODULES=
MAIN_MODULE=fstclassmod
ADD_COMPFLAGS=-w a

include ../../makefiles/Makefile.one
include ../../makefiles/Makefile.common
