=== debian/changelog ===
mingw-ocaml (3.12.1+debian2) unstable; urgency=low

  * Fixed typo in dummy transitional package.. 

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 09 Oct 2011 15:08:07 +0200

mingw-ocaml (3.12.1+debian1) unstable; urgency=low

  * New upstream release.
  * Now using gcc-mingw-w64. Thanks to Török Edwin and Stephen Kitt
    for very good bug report and suggestions!
  Closes: #624533
  * Renamed source package in a non architecture-specific way.
  * Provide prefixed binary directly in /usr/bin
  * Removed camlp4 from the package: produced binaries where not ELF..
  * Added patch to fix socket being turned non-blocking after
    calling select() on them (see upstream #5328).
  * Dropped fix_fd_leak.patch: fix applied upstream.

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 09 Oct 2011 03:51:02 +0200

mingw32-ocaml (3.12.0+debian3) unstable; urgency=low

  * Removed dirty suggestion to override PATH
    to force detection of cross-compiler tools
    in README.Debian
  * Fixed camlp4 META file. 
  * Fixed fd leak in Unix.

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 05 Apr 2011 11:58:57 -0500

mingw32-ocaml (3.12.0+debian2) unstable; urgency=low

  * Upload to unstable.
  * Fixed flexlink path.
  * Switched to gcc-mingw32.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 04 Apr 2011 11:36:30 -0500

mingw32-ocaml (3.12.0+debian1) experimental; urgency=low

  * Updated package to 3.12.0. 
  * Bumped standards-version to 3.9.1
  * New build and install camlp4.
  * Upload to experimental until new stable release
    and ocaml 3.12.0 in sid.

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 10 Aug 2010 21:55:52 -0500

mingw32-ocaml (3.12.0~beta1+debian1) unstable; urgency=low

  * Updated package to 3.12.0+beta1 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 24 Jun 2010 01:20:13 +0200

mingw32-ocaml (3.11.2+debian4) unstable; urgency=low

  * Added a patch to hardcode linker's options
    for ocamlmklib.
  * Modified custom Makefile to call the correct ranlib
    and setup correct options for dynlink and shared object
    compilation.
  * Added missing files to install target.
  Thanks to Pierre Letouzey for testing and reporting 
  these issues. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 22 Feb 2010 20:24:08 -0600

mingw32-ocaml (3.11.2+debian3) unstable; urgency=low

  * Fixed build-dep for kfreebsd-amd64. 
  * Removed kfreebsd-amd64 from binary archs since
    mingw32 since to not be working on this arch.

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 11 Feb 2010 09:09:02 -0600

mingw32-ocaml (3.11.2+debian2) unstable; urgency=low

  * ocamlrun ABI depends on ocaml version. Hence,
    shipping a local one now. 
  * Added hurd-i386 kfreebsd-amd64 kfreebsd-i386 to 
    the list of target arch.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 10 Feb 2010 17:57:34 -0600

mingw32-ocaml (3.11.2+debian1) unstable; urgency=low

  * Updated to ocaml 3.11.2 
  * Refreshed patches.
  * Bumped standards.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 10 Feb 2010 16:13:05 -0600

mingw32-ocaml (3.11.1+debian2) unstable; urgency=low

  * Added a patch to also remove all binary objects
    in byterun/ to force their recompilation.
  Thanks to Jerome Vouillon for reporting and fixing the issue. 
  * Added a patch to display "Win32" as the os_type when invoking
  ocaml{c,opt} -config

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 27 Jan 2010 14:21:29 -0600

mingw32-ocaml (3.11.1+debian1) unstable; urgency=low

  * Initial release.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 06 Jan 2010 22:13:02 +0100
